/* ===== FOOTER GENERAL ===== */
footer {
    padding: 30px 20px;
    width: 100%;
    background: linear-gradient(to left, rgb(107, 42, 28), rgb(191 45 26));
    color: white;
}

/* GRID */
.footer-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

/* CARD */
.footer-card {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
}

/* TITRES */
.footer-card h3 {
    font-size: 1.5rem;
    padding-bottom: 15px;
    font-weight: 600;
    color: white;
}

/* DOWNLOAD */
.app-buttons {
    display: flex;
    gap: 12px;
    margin-bottom: 15px;
    justify-content: flex-start;
}

.app-button img {
    height: 40px;
}

/* COPYRIGHT */
.copyright {
    font-size: 0.8rem;
    opacity: 0.7;
    text-align: left;
}

/* LEGAL */
.legal-links {
    display: flex;
    gap: 15px;
    justify-content: flex-start;
}

.btn-legal {
    background: rgba(255, 255, 255, 0.1);
    color: white;
    padding: 8px 10px;
    border-radius: 8px;
    font-size: 0.85rem;
}

/* SOCIAL */
.social-icons {
    display: flex;
    gap: 15px;
    justify-content: flex-start;
}

.social-icons a {
    color: white;
    background: rgba(255, 255, 255, 0.1);
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}

/* CONTACT */
.contact-info {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 12px;
}

.contact-item {
    color: white;
    font-size: 0.9rem;
    display: flex;
    align-items: center;
    gap: 10px;
}

/* ===== RESPONSIVE ===== */

/* Tablette */
@media (max-width: 1024px) {
    .footer-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* Mobile */
@media (max-width: 768px) {
    .footer-grid {
        grid-template-columns: 1fr;
    }
}